# Generated by Django 3.2.5 on 2021-10-30 14:14

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Game',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('is_finished', models.BooleanField(default=False)),
                ('has_winner', models.BooleanField(default=False)),
                ('state', models.CharField(default='000000000000000000000000000000000000000000', max_length=42)),
                ('guest', models.ForeignKey(help_text='Choose the user that you want to start the game with.', on_delete=django.db.models.deletion.CASCADE, related_name='guest_games', to=settings.AUTH_USER_MODEL)),
                ('next_player', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='games_waiting', to=settings.AUTH_USER_MODEL)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='owned_games', to=settings.AUTH_USER_MODEL)),
                ('winner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='games_won', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['created_at'],
            },
        ),
    ]
